## ros-noetic-mbf-msgs 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mbf_msgs)

find_package(catkin REQUIRED
  COMPONENTS
  actionlib_msgs
  genmsg
  geometry_msgs
  message_generation
  message_runtime
  nav_msgs
  std_msgs
)

add_service_files(
  DIRECTORY
  srv
  FILES
  CheckPoint.srv
  CheckPose.srv
  CheckPath.srv
)

add_action_files(
  DIRECTORY
  action
  FILES
  GetPath.action
  ExePath.action
  Recovery.action
  MoveBase.action
)

generate_messages(
  DEPENDENCIES
  actionlib_msgs
  geometry_msgs
  nav_msgs
  std_msgs
)

catkin_package(
  CATKIN_DEPENDS
  actionlib_msgs
  geometry_msgs
  message_runtime
  nav_msgs
  std_msgs
)

=== debian/changelog ===
ros-noetic-mbf-msgs (0.4.0-1focal) focal; urgency=high

  * return empty footprint if partly outside of the map, see #272

 -- Jorge Santos <santos@magazino.eu>  Mon, 25 Oct 2021 22:00:00 -0000

ros-noetic-mbf-msgs (0.3.4-1focal) focal; urgency=high



 -- Jorge Santos <santos@magazino.eu>  Tue, 01 Dec 2020 23:00:00 -0000

ros-noetic-mbf-msgs (0.3.3-1focal) focal; urgency=high



 -- Jorge Santos <santos@magazino.eu>  Wed, 04 Nov 2020 23:00:00 -0000

ros-noetic-mbf-msgs (0.3.2-1focal) focal; urgency=high

  * add impassable outcome code for recovery behaviors
  * enable different goal tolerance values for each action

 -- Jorge Santos <santos@magazino.eu>  Sun, 24 May 2020 22:00:00 -0000

ros-noetic-mbf-msgs (0.3.1-1focal) focal; urgency=high



 -- Jorge Santos <santos@magazino.eu>  Mon, 06 Apr 2020 22:00:00 -0000

ros-noetic-mbf-msgs (0.3.0-1focal) focal; urgency=high

  * add some more error codes, e.g. out of map, or map error
  * unify license declaration to BSD-3

 -- Jorge Santos <santos@magazino.eu>  Mon, 30 Mar 2020 22:00:00 -0000

ros-noetic-mbf-msgs (0.2.5-1focal) focal; urgency=high



 -- Jorge Santos <santos@magazino.eu>  Thu, 10 Oct 2019 22:00:00 -0000

ros-noetic-mbf-msgs (0.2.4-1focal) focal; urgency=high

  * Add check_point_cost service
  * Change current_twist for last_cmd_vel on exe_path/feedback

 -- Jorge Santos <santos@magazino.eu>  Sat, 15 Jun 2019 22:00:00 -0000

ros-noetic-mbf-msgs (0.2.3-1focal) focal; urgency=high

  * Add outcome and message to the action's feedback in ExePath and MoveBase

 -- Jorge Santos <santos@magazino.eu>  Tue, 13 Nov 2018 23:00:00 -0000

ros-noetic-mbf-msgs (0.2.1-1focal) focal; urgency=high



 -- Jorge Santos <santos@magazino.eu>  Tue, 02 Oct 2018 22:00:00 -0000

ros-noetic-mbf-msgs (0.2.0-1focal) focal; urgency=high

  * Concurrency for planners, controllers and recovery behaviors
  * Adds concurrency slots to actions

 -- Jorge Santos <santos@magazino.eu>  Mon, 10 Sep 2018 22:00:00 -0000

ros-noetic-mbf-msgs (0.1.0-1focal) focal; urgency=high

  * First release of move_base_flex for kinetic and lunar
  ca

 -- Jorge Santos <santos@magazino.eu>  Wed, 21 Mar 2018 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-mbf-msgs
Section: misc
Priority: optional
Maintainer: Jorge Santos <santos@magazino.eu>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-genmsg, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-message-runtime, ros-noetic-nav-msgs, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-mbf-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib-msgs, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-nav-msgs, ros-noetic-std-msgs
Description: The move_base_flex messages package providing the action definition files for the action GetPath, ExePath, Recovery and MoveBase.
 The action servers providing these action are implemented in mbf_abstract_nav.
